Subject: Re: git-svn tags and branches

From: Giuseppe Bilotta <[email-masked]>
Date: Mon, 27 Aug 2007 19:08:47 +0200

On Monday 27 August 2007 17:36, Benoit SIGOURE wrote:

> On Aug 27, 2007, at 5:31 PM, Mike Hommey wrote:
> 
>> On Mon, Aug 27, 2007 at 05:09:30PM +0200, David Kastrup  
>> <[email-masked]> wrote:
>>> I actually don't see how one can safely make them tags at all (rather
>>> than branches) since Subversion does not enforce the members of a
>>> "tags" subdirectory to remain unchanged after the initial copy.
>>> Basically, tags are not different from branches in Subversion from
>>> what you can do with them.
>>
>> Well, git-svn could make tags when the tag/branch is created in  
>> subversion,
>> and then create a branch on the first commit on top of that tag/ 
>> branch in
>> svn.
> 
> Or update the tag ref in Git so that it points to the new "HEAD" of  
> the SVN tag.But all in all, it's more consistent to have it look  
> like a branch from the Git point of view, because that's really what  
> it is after all.

Yes and no. By making it just a branch you lose the tag POV on that
particular commit, and this is, in a way, a loss of information: yes, it
can behave like a branch but most projects use it as a tag.

I think the best approach is to have an annotated tag 'tagname'
corresponding to the tags/tagname copy on the svn side in addition
to the 'tags/tagname' branch that is currently used to track its head.

-- 
Giuseppe "Oblomov" Bilotta